using Addition_with_CodedAutomations.ObjectRepository;
using System;
using System.Collections.Generic;
using System.Data;
using UiPath.CodedWorkflows;
using UiPath.Core;
using UiPath.Core.Activities.Storage;
using UiPath.Orchestrator.Client.Models;
using UiPath.Testing;
using UiPath.Testing.Activities.TestData;
using UiPath.Testing.Activities.TestDataQueues.Enums;
using UiPath.Testing.Enums;
using UiPath.UIAutomationNext.API.Contracts;
using UiPath.UIAutomationNext.API.Models;
using UiPath.UIAutomationNext.Enums;

namespace Addition_with_CodedAutomations
{
    public class AdditionCalculator : CodedWorkflow
    {
        [Workflow]
        public void Execute()
        {
        // Generate random numbers within a specified range (e.g., 1 to 100)
        decimal num1 = testing.RandomNumber(1, 100);
        decimal num2 = testing.RandomNumber(1, 100);
            
        Console.WriteLine($"Generated numbers: {num1} and {num2}");
        
        if (IsEven(num1) && IsEven(num2))
        {
            // Both numbers are even, so add them together
            decimal sum = num1 + num2;
            Console.WriteLine($"Both numbers are even. Sum: {sum}");
        }
        else
        {
            // At least one number is odd, so subtract them
            decimal difference = num1 - num2;
            Console.WriteLine($"At least one number is odd. Difference: {difference}");
        }
       
    }

        private bool IsEven(decimal number)
        {
           // Check if a decimal number is even
        return (number % 2 == 0);
        }
    }
}